//
//  SimpleViewController.swift
//  SimpleVC
//
//  Created by Kyoung Shin Park on 11/7/16.
//  Copyright © 2016 Kyoung Shin Park. All rights reserved.
//

import UIKit

class SimpleViewController: UIViewController {
    var name: String = ""
    var imageName: String = ""
    var url: String = ""
    
    @IBOutlet weak var aImageView: UIImageView!
    
    @IBOutlet weak var aButton: UIButton!
    
    @IBAction func buttonPressed(sender: AnyObject) {
        self.performSegueWithIdentifier("ShowDetailVCSegue", sender: self)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        aButton.setTitle(name, forState: .Normal)
        print("Load SimpleVC \(name) \(aButton.titleLabel!.text) URL \(url)")
        aImageView.image = UIImage(named: imageName)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
        if (segue.identifier == "ShowDetailVCSegue") {
            if let destinationVC = segue.destinationViewController as? DetailViewController {
                destinationVC.siteName = name
                destinationVC.siteURL = url
            }
        }
    }
    

}
